## org.eclipse.emf.edit.provider
Interface ComposedAdapterFactory.Descriptor.Registry

All Known Implementing Classes:
  ComposedAdapterFactory.Descriptor.Registry.Impl

Enclosing interface:
  ComposedAdapterFactory.Descriptor

    public static interface ComposedAdapterFactory.Descriptor.Registry

A registry is an index that takes a collection of keys, typically a pair consisting of an EPackage or java.lang.Package, and a java.lang.Class, and maps it to a `descriptor`.

Nested Class Summary
`static class` `ComposedAdapterFactory.Descriptor.Registry.Impl` A simple registry implementation that supports delegation.

Field Summary
`static ComposedAdapterFactory.Descriptor.Registry` `INSTANCE` The global registry typically populated by plugin registration.

Method Summary
`ComposedAdapterFactory.Descriptor` `getDescriptor(java.util.Collection<?> types)` Returns descriptor that can create a factory for the types.

Field Detail

### INSTANCE

    static final ComposedAdapterFactory.Descriptor.Registry INSTANCE

  The global registry typically populated by plugin registration.

Method Detail

### getDescriptor

    ComposedAdapterFactory.Descriptor getDescriptor(java.util.Collection<?> types)

  Returns descriptor that can create a factory for the types.

  Parameters:
    `types` - collections of keys, typically a pair consisting of an EPackage or java.lang.Package, and a java.lang.Class.
  Returns:
    a descriptor that can create a factory for the types.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.